Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.internal.core.swt.renderer
Class ViewRenderer_PTest

    java.lang.Object
      org.eclipse.emf.ecp.view.internal.core.swt.renderer.ViewRenderer_PTest

    public class ViewRenderer_PTest

extends Object

Constructor Summary
`ViewRenderer_PTest()`

Method Summary
`void` | `setUp()`
`static void` | `setupClass()`
`void` | `tearDown()`
`void` | `testEmptyView()`
`void` | `testGridDescription()`
`void` | `testMultipleComplexGridDescriptionView()`
`void` | `testMultipleSimpleCompositeView()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ViewRenderer_PTest

    public ViewRenderer_PTest()

Method Detail

### setupClass

    public static void setupClass()

### setUp

    public void setUp()

### tearDown

    public void tearDown()

### testGridDescription

    public void testGridDescription()
                             throws NoRendererFoundException,
                                    NoPropertyDescriptorFoundExeption

  Throws:
    `NoRendererFoundException`
    `NoPropertyDescriptorFoundExeption`

### testEmptyView

    public void testEmptyView()
                       throws NoRendererFoundException,
                              NoPropertyDescriptorFoundExeption

  Throws:
    `NoRendererFoundException`
    `NoPropertyDescriptorFoundExeption`

### testMultipleSimpleCompositeView

    public void testMultipleSimpleCompositeView()
                                         throws NoRendererFoundException,
                                                NoPropertyDescriptorFoundExeption,
                                                EMFFormsNoRendererException

  Throws:
    `NoRendererFoundException`
    `NoPropertyDescriptorFoundExeption`
    `EMFFormsNoRendererException`

### testMultipleComplexGridDescriptionView

    public void testMultipleComplexGridDescriptionView()
                                                throws NoRendererFoundException,
                                                       NoPropertyDescriptorFoundExeption,
                                                       EMFFormsNoRendererException

  Throws:
    `NoRendererFoundException`
    `NoPropertyDescriptorFoundExeption`
    `EMFFormsNoRendererException`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.